build(deps): bump maven-surefire-plugin from 3.0.0-M5 to 3.0.0-M6